## kiwix-tools 3.3.0

=== meson_options.txt ===
option('static-linkage', type : 'boolean', value : false,
  description : 'Create statically linked binaries.')

## kiwix-tools 3.1.2

=== debian/changelog ===
kiwix-tools (3.1.2-3) unstable; urgency=medium

  [ Kunal Mehta ]
  * Add superficial autopkgtest
  * Rebuild against libkiwix 9.4.1 (Closes: #982979)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Kunal Mehta <legoktm@debian.org>  Sat, 20 Feb 2021 14:33:11 -0800

kiwix-tools (3.1.2-2) unstable; urgency=medium

  * Source only upload.

 -- Kunal Mehta <legoktm@debian.org>  Fri, 17 Jul 2020 00:37:22 -0700

kiwix-tools (3.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #856595)

 -- Kunal Mehta <legoktm@debian.org>  Thu, 09 Jul 2020 02:33:33 -0700

=== debian/control ===
Source: kiwix-tools
Section: utils
Priority: optional
Maintainer: Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper-compat (= 12),
               libkiwix-dev (>= 9.3.0),
               libmicrohttpd-dev,
               meson,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://github.com/kiwix/kiwix-tools
Vcs-Browser: https://salsa.debian.org/legoktm/kiwix-tools
Vcs-Git: https://salsa.debian.org/legoktm/kiwix-tools.git
Rules-Requires-Root: no

Package: kiwix-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of Kiwix tools
 kiwix-tools is a collection of various command-line tools used to help
 users interact with and manage ZIM files. It includes:
  * kiwix-serve is a standalone HTTP server for serving ZIM files
    over the network.
  * kiwix-manage allows one to manage the content of the Kiwix library (an
    XML file listing available ZIM files).
  * kiwix-read allows for reading ZIM files from the command-line.
  * kiwix-search allows one to find articles in a ZIM file using fulltext
    search patterns.

=== debian/tests/control ===
Test-Command: kiwix-serve --version
Depends: kiwix-tools
Restrictions: superficial

Test-Command: kiwix-manage --version
Depends: kiwix-tools
Restrictions: superficial

Test-Command: kiwix-read --version
Depends: kiwix-tools
Restrictions: superficial

Test-Command: kiwix-search --version
Depends: kiwix-tools
Restrictions: superficial

## kiwix-tools 3.2.0

=== debian/changelog ===
kiwix-tools (3.2.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Wed, 02 Feb 2022 20:26:20 -0800

kiwix-tools (3.2.0-1) experimental; urgency=medium

  * New upstream version 3.2.0

 -- Kunal Mehta <legoktm@debian.org>  Mon, 31 Jan 2022 20:46:43 -0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               libkiwix-dev (>= 9.3.0),
-               libmicrohttpd-dev,
+               libkiwix-dev (>= 10.0.0),
+               libzim-dev (>= 7.2.0),
                meson,
                pkg-config,
-               zlib1g-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/kiwix/kiwix-tools
 Vcs-Browser: https://salsa.debian.org/legoktm/kiwix-tools

## kiwix-tools 3.3.0

=== debian/changelog ===
kiwix-tools (3.3.0-3) unstable; urgency=medium

  * Remove references to kiwix-read

 -- Kunal Mehta <legoktm@debian.org>  Mon, 01 Aug 2022 14:42:40 -0400

kiwix-tools (3.3.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Sun, 31 Jul 2022 14:53:54 -0400

kiwix-tools (3.3.0-1) experimental; urgency=medium

  * New upstream version 3.3.0

 -- Kunal Mehta <legoktm@debian.org>  Sat, 30 Jul 2022 17:48:31 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               libkiwix-dev (>= 10.0.0),
+               libkiwix-dev (>= 11.0.0),
                libzim-dev (>= 7.2.0),
                meson,
                pkg-config,
@@ -23,6 +23,5 @@
     over the network.
   * kiwix-manage allows one to manage the content of the Kiwix library (an
     XML file listing available ZIM files).
-  * kiwix-read allows for reading ZIM files from the command-line.
   * kiwix-search allows one to find articles in a ZIM file using fulltext
     search patterns.

## kiwix-tools 3.5.0

=== docs/requirements.txt ===
Sphinx==5.3.0
sphinx-rtd-theme==1.1.1

=== debian/changelog ===
kiwix-tools (3.5.0-2build1) noble; urgency=high

  * No change rebuild against libkiwix12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:59:40 +0200

kiwix-tools (3.5.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Sun, 23 Jul 2023 23:17:32 -0400

kiwix-tools (3.5.0-1) experimental; urgency=medium

  * New upstream version 3.5.0

 -- Kunal Mehta <legoktm@debian.org>  Fri, 21 Jul 2023 23:17:54 -0400

kiwix-tools (3.4.0-1) experimental; urgency=medium

  * New upstream version 3.4.0

 -- Kunal Mehta <legoktm@debian.org>  Wed, 04 Jan 2023 21:56:45 -0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kiwix-tools
 Section: utils
 Priority: optional
-Maintainer: Kunal Mehta <legoktm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               libkiwix-dev (>= 11.0.0),
-               libzim-dev (>= 7.2.0),
+               libkiwix-dev (>= 12.0.0),
+               libzim-dev (>= 8.1.0),
                meson,
                pkg-config,
 Standards-Version: 4.5.0

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kiwix-tools-$1.tar.gz%" \
   https://github.com/kiwix/kiwix-tools/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## kiwix-tools 3.7.0

=== debian/changelog ===
kiwix-tools (3.7.0-1.1build1) plucky; urgency=medium

  * No-change rebuild for libkiwix soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2025 20:55:11 +0100

kiwix-tools (3.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload to unstable for Python3.13 transition
  * Add some patch to build against new libkiwix-dev

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Jan 2025 13:37:09 +0100

kiwix-tools (3.7.0-1) experimental; urgency=medium

  * New upstream version 3.7.0
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Kunal Mehta <legoktm@debian.org>  Tue, 26 Mar 2024 23:35:19 -0400

=== debian/tests/control ===
--- 
+++ 
@@ -6,10 +6,6 @@
 Depends: kiwix-tools
 Restrictions: superficial
 
-Test-Command: kiwix-read --version
-Depends: kiwix-tools
-Restrictions: superficial
-
 Test-Command: kiwix-search --version
 Depends: kiwix-tools
 Restrictions: superficial
